import java.awt.Button;
import java.awt.Frame;

public class ButtonDemoFrame extends Frame
{
  public ButtonDemoFrame()
  {
    super();

    setTitle( "Button Demo" );
    setSize( 300, 250 );

    makeButton( "North" );
    makeButton( "South" );
    makeButton( "East" );
    makeButton( "West" );
    makeButton( "Center" );
  }
  
  protected void makeButton( String position )
  {
    Button localButton = new Button( position );
    localButton.setSize( 80, 80 );
    localButton.addActionListener( new DemoButtonListener( localButton ) );
    add( position, localButton );
  }
}
